Overview | Modules | Class Hierarchy | Classes | Members

# tlp::MutableContainer< TYPE > Class Template Reference

`#include <MutableContainer.h>`

List of all members.

### template<typename TYPE>
class tlp::MutableContainer< TYPE >

## Public Member Functions

- MutableContainer ()
- ~MutableContainer ()
- void setAll (const TYPE &value)
- void set (const unsigned int i, const TYPE &value)
- ReturnType< TYPE >::ConstValue get (const unsigned int i) const
- ReturnType< TYPE >::Value get (const unsigned int i, bool &isNotDefault) const
- bool hasNonDefaultValue (const unsigned int i) const
- IteratorValue * findAll (const TYPE &value, bool equal=true) const

## Friends

- class MutableContainerTest

## Constructor & Destructor Documentation

template<typename TYPE>
tlp::MutableContainer< TYPE >::MutableContainer | ( |  | ) |

template<typename TYPE>
tlp::MutableContainer< TYPE >::~MutableContainer | ( |  | ) |

## Member Function Documentation

template<typename TYPE>
IteratorValue * tlp::MutableContainer< TYPE >::findAll | ( | const TYPE & | value,
|  | bool | equal = `true`
| ) | const

| return a pointer on an iterator for all the elements whose associated value if equal to a given value or different from the default value. A null pointer is returned in case of an iteration on all the elements whose value is equal to the default value.

template<typename TYPE>
ReturnType< TYPE >::Value tlp::MutableContainer< TYPE >::get | ( | const unsigned int | i,
|  | bool & | isNotDefault
| ) | const

| get the value associated to i and indicates if it not the default one

template<typename TYPE>
ReturnType< TYPE >::ConstValue tlp::MutableContainer< TYPE >::get | ( | const unsigned int | i | ) | const

| get the value associated to i

template<typename TYPE>
bool tlp::MutableContainer< TYPE >::hasNonDefaultValue | ( | const unsigned int | i | ) | const

| return is the value associated to i is not the default

template<typename TYPE>
void tlp::MutableContainer< TYPE >::set | ( | const unsigned int | i,
|  | const TYPE & | value
| ) |

template<typename TYPE>
void tlp::MutableContainer< TYPE >::setAll | ( | const TYPE & | value | ) |

## Friends And Related Function Documentation

template<typename TYPE>
friend class MutableContainerTest`[friend]`

Tulip Software by LaBRI Visualization Team 2001 - 2010